package com.mortals.xhx.module.model.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.model.model.ModelCensusEntity;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
/**
* 模块下的数据统计视图对象
*
* @author zxfei
* @date 2022-07-05
*/
@Data
public class ModelCensusVo extends BaseEntityLong {

    /**
     * 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
     */
    private String censusTypeName;
    /**
     * 状态，0暂未开通，1已开通
     */
    private String statusName;
}