package com.mortals.xhx.module.model.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.model.model.ModelCensusEntity;

import java.util.List;

/**
* ModelCensusService
*
* 模块下的数据统计 service接口
*
* @author zxfei
* @date 2022-07-05
*/
public interface ModelCensusService extends ICRUDService<ModelCensusEntity,Long>{

    List<ModelCensusEntity> getModelCensusList(Long modelId);

    /**
     * 获取站点下的所有模块
     * @param siteId
     * @return
     * @throws AppException
     */
    List<ModelCensusEntity> getListBySiteId(Long siteId) throws AppException;
}