package com.mortals.xhx.feign.model.vo;

import lombok.Data;

import java.io.Serializable;

@Data
public class ModelCensusFeignVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;
    /**
     * 模块ID，主键
     */
    private Long modelId;
    /**
     * 数据统计名称
     */
    private String censusName;
    /**
     * 链接地址
     */
    private String censusUrl;
    /**
     * 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
     */
    private Integer censusType;
    /**
     * 状态，0暂未开通，1已开通
     */
    private Integer status;
    /**
     * 创建用户名称
     */
    private String createUserName;
    /**
     * 更新用户名称
     */
    private String updateUserName;

    /**
     * 统计类型， 1：服务，2：协同，3：监管，4：数据，5：运营。默认1
     */
    private String censusTypeName;
    /**
     * 状态，0暂未开通，1已开通
     */
    private String statusName;
}
