package com.mortals.xhx.feign.model.vo;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class ModelFeignVO implements Serializable {

    private static final long serialVersionUID = 123L;

    private Long id;
    /**
     * 模块名称
     */
    private String modelName;
    /**
     * 模块编码
     */
    private String modelCode;
    /**
     * 模块图标
     */
    private String modelIcon;
    /**
     * 模块地址
     */
    private String modelUrl;
    /**
     * 备注信息
     */
    private String remark;
    /**
     * 排序
     */
    @JSONField(serialize = false)
    private Integer sort;

    /** 模块下包含的数据统计 */
    private List<ModelCensusFeignVO> censusList;
}
