package com.mortals.xhx.module.menu.model.vo;

import lombok.Data;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
public class MenuNodeVO implements Serializable {
    private static final long serialVersionUID = 169L;

    private String nodeName;
    private Long nodeId;
    private Long parentId;
    private List<MenuNodeVO> childList;

    public MenuNodeVO(String nodeName, Long nodeId, Long parentId) {
        this.nodeName = nodeName;
        this.nodeId = nodeId;
        this.parentId = parentId;
    }

    public void addChild(MenuNodeVO node){
        if (childList==null){
            childList =new ArrayList<>();
        }
        childList.add(node);
    }

    @Override
    public String toString() {
        return "MenuNodeVO{" +
                "nodeName='" + nodeName + '\'' +
                ", nodeId=" + nodeId +
                ", parentId=" + parentId +
                ", childList=" + childList +
                '}';
    }
}
