package com.mortals.xhx.module.role.service;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.role.model.RoleModelEntity;

import java.util.Map;

/**
* RoleModelService
*
* 角色模块数据 service接口
*
* @author zxfei
* @date 2022-07-05
*/
public interface RoleModelService extends ICRUDService<RoleModelEntity,Long>{

    /**
     * 获取用户拥有的模块权限
     * @param userId
     * @return
     */
    Map<Long,Long> getModelIdsUserId(Long userId);
    /**
     * 获取用户拥有的模块数据统计权限
     * @param userId
     * @return
     */
    Map<Long,Long> getModelCensusByUserId(Long userId);
}